Commit dffe296d authored by Maxim Cournoyer's avatar Maxim Cournoyer Committed by Nicolas Jager

docker: Add libcanberra dependency for all supported platforms.

This dependency was added as a result of adding sound notifications to
the gnome-client.

Change-Id: I6ce113d46709976119afa151c1f2268ab81df545
Reviewed-by: default avatarNicolas Jäger <nicolas.jager@savoirfairelinux.com>
parent 494d2135
......@@ -20,6 +20,7 @@ RUN apt-get update && \
libdbus-c++-dev \
libupnp-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -20,6 +20,7 @@ RUN apt-get update && \
libdbus-c++-dev \
libupnp-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -12,6 +12,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -15,6 +15,7 @@ RUN dnf upgrade -y && \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -21,6 +21,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -31,6 +31,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -31,6 +31,7 @@ RUN apt-get update && \
libupnp-dev \
libgnutls28-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -32,6 +32,7 @@ RUN apt-get update && \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -32,6 +32,7 @@ RUN apt-get update && \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -32,6 +32,7 @@ RUN apt-get update && \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -32,6 +32,7 @@ RUN apt-get update && \
libgnutls28-dev \
libargon2-0-dev \
libebook1.2-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
......
......@@ -7,7 +7,7 @@ Version: %{version}
Release: %{release}%{?dist}
Summary: Free software for distributed and secured communication.
Group: Applications/Internet
License: GPLv3
License: GPLv3+
URL: https://ring.cx/
Source: ring_%{version}.tar.gz
Requires: ring-daemon = %{version}
......@@ -18,6 +18,7 @@ BuildRequires: autoconf
BuildRequires: automake
BuildRequires: cmake
BuildRequires: pulseaudio-libs-devel
BuildRequires: libcanberra-devel
BuildRequires: libsamplerate-devel
BuildRequires: libtool
BuildRequires: dbus-devel
......@@ -196,6 +197,7 @@ DESTDIR=%{buildroot} make -C client-gnome/build install
%{_datadir}/appdata/gnome-ring.appdata.xml
%{_datadir}/libringclient/*
%{_datadir}/locale/*
%{_datadir}/sounds/gnome-ring/*
%doc %{_mandir}/man1/dring*
%files daemon
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment